Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class TerminalPropertyForwarding

    java.lang.Object
      com.nortel.soa.oi.cct.types.TerminalPropertyForwarding

    public class TerminalPropertyForwarding

extends java.lang.Object

Java class for terminalPropertyForwarding complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="terminalPropertyForwarding">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="destinationAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="filter" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="caller" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="type" type="{http://www.w3.org/2001/XMLSchema}int"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`TerminalPropertyForwarding()`

Method Summary
`java.lang.String` | `getCaller()` Gets the value of the caller property.
`java.lang.String` | `getDestinationAddress()` Gets the value of the destinationAddress property.
`int` | `getFilter()` Gets the value of the filter property.
`int` | `getType()` Gets the value of the type property.
`void` | `setCaller(java.lang.String value)` Sets the value of the caller property.
`void` | `setDestinationAddress(java.lang.String value)` Sets the value of the destinationAddress property.
`void` | `setFilter(int value)` Sets the value of the filter property.
`void` | `setType(int value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminalPropertyForwarding

    public TerminalPropertyForwarding()

Method Detail

### getDestinationAddress

    public java.lang.String getDestinationAddress()

  Gets the value of the destinationAddress property.

  Returns:
    possible object is `String`

### setDestinationAddress

    public void setDestinationAddress(java.lang.String value)

  Sets the value of the destinationAddress property.

  Parameters:
    `value` - allowed object is `String`

### getFilter

    public int getFilter()

  Gets the value of the filter property.

### setFilter

    public void setFilter(int value)

  Sets the value of the filter property.

### getCaller

    public java.lang.String getCaller()

  Gets the value of the caller property.

  Returns:
    possible object is `String`

### setCaller

    public void setCaller(java.lang.String value)

  Sets the value of the caller property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public int getType()

  Gets the value of the type property.

### setType

    public void setType(int value)

  Sets the value of the type property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.